# Filter provides from plugins.
%global __provides_exclude_from ^(%{_libdir}/%{name}/.*\\.so|%{_libdir}/mozilla/.*\\.so)$


Name:		xplayer
Version:	1.4.2
Release:	1%{?dist}
Summary:	A generic Media Player

License:	GPLv2+ and LGPLv2+
URL:		https://github.com/linuxmint/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-common
BuildRequires:	gstreamer1-plugins-good
BuildRequires:	intltool
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gst-3.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(grilo-0.3)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(lirc)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xapp)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xplayer-plparser)
BuildRequires:	pkgconfig(zeitgeist-2.0)
BuildRequires:	pylint
BuildRequires:	python3-devel
BuildRequires:	python3-pylint
BuildRequires:	vala-devel

%if (0%{?fedora} && 0%{?fedora} <=24) || (0%{?rhel} && 0%{?rhel} <= 7)
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils
%endif (0%%{?fedora} && 0%%{?fedora} <=24) || (0%%{?rhel} && 0%%{?rhel} <= 7)

%description
Xplayer is a generic media player.


%package devel
Summary:	Files needed to develop plugins for %{name}
Requires:	%{name}%{?_isa}			== %{version}-%{release}

%description devel
This package contains files needed to develop plugins for %{name}.


%package doc
Summary:	Documentation files for %{name}

BuildArch:	noarch
BuildRequires:	gtk-doc

%description doc
This package contains the documentation files for %{name}.


%package browser-plugin
Summary:	Browser-plugin for %{name}

Requires:	mozilla-filesystem%{?_isa}
Requires:	%{name}%{?_isa}			== %{version}-%{release}

%description browser-plugin
Xplayer is a generic media player.

This package contains the NPAPI browser-plugin for %{name}.


%package plugin-grilo
Summary:	Plugin for integrating grillo into %{name}
Requires:	%{name}%{?_isa}			== %{version}-%{release}

%description plugin-grilo
Xplayer is a generic media player.

This package contains the plugin for integrating grillo into %{name}.


%prep
%autosetup -p1

# Fix shebang to python3.
f="data/%{name}-bugreport.py"
%{__sed} -e 's~^#!%{_bindir}/python$~#!%{__python3}~'		\
	< ${f} > ${f}.new
/bin/touch -r ${f} ${f}.new
%{__mv} -f ${f}.new ${f}

NOCONFIGURE=1 %{_bindir}/gnome-autogen.sh


%build
export PYTHON=%{__python3}

%configure							\
		--disable-silent-rules				\
		--disable-static				\
		--enable-gtk-doc				\
		--enable-introspection

%make_build


%install
%make_install
%{_bindir}/find %{buildroot} -name '*.a' -print -delete
%{_bindir}/find %{buildroot} -name '*.la' -print -delete
%{_bindir}/find %{buildroot}%{_datadir}/icons -type f -print |	\
	%{__sed} -e 's!%{buildroot}!!g' > %{name}.icons
%find_lang %{name}


%check
# Validate desktop-files.
%{_bindir}/desktop-file-validate				\
	%{buildroot}%{_datadir}/applications/*.desktop


%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
%if (0%{?fedora} && 0%{?fedora} <=24) || (0%{?rhel} && 0%{?rhel} <= 7)
%{_bindir}/update-desktop-database &> /dev/null || :
%endif (0%%{?fedora} && 0%%{?fedora} <=24) || (0%%{?rhel} && 0%%{?rhel} <= 7)

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
%if (0%{?fedora} && 0%{?fedora} <=24) || (0%{?rhel} && 0%{?rhel} <= 7)
%{_bindir}/update-desktop-database &> /dev/null || :
%endif (0%%{?fedora} && 0%%{?fedora} <=24) || (0%%{?rhel} && 0%%{?rhel} <= 7)

%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang -f %{name}.icons
%license AUTHORS COPYING debian/copyright
%doc ChangeLog NEWS README debian/changelog
%exclude %{_libdir}/%{name}/plugins/grilo
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.x.player*.xml
%{_datadir}/help/*/%{name}
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_datadir}/%{name}
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/lib%{name}*.so.*
%{_libdir}/%{name}
%{_libexecdir}/%{name}*
%{_mandir}/man1/%{name}*


%files devel
%{_datadir}/gir-1.0/*.gir
%{_includedir}/%{name}
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc


%files doc
%license %{_datadir}/licenses/%{name}
%doc %{_datadir}/doc/%{name}
%doc %{_datadir}/gtk-doc


%files browser-plugin
%{_libdir}/mozilla/plugins/lib%{name}*.so


%files plugin-grilo
%{_libdir}/%{name}/plugins/grilo


%changelog
* Wed May 24 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.2-1
- New upstream release (rhbz#1454985)

* Mon May 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-1
- New upstream release

* Mon May 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.0-1
- Initial import (#1424871)

* Sat May 06 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.0-0.1
- Initial rpm-release (#1424871)
